"""
@generated by mypy-protobuf.  Do not edit manually!
isort:skip_file
This Source Code Form is subject to the terms of the Mozilla Public
License, v. 2.0. If a copy of the MPL was not distributed with this
file, You can obtain one at https://mozilla.org/MPL/2.0/.
"""

import builtins
import collections.abc
import google.protobuf.descriptor
import google.protobuf.internal.containers
import google.protobuf.internal.enum_type_wrapper
import google.protobuf.message
import google.protobuf.struct_pb2
import sys
import typing

if sys.version_info >= (3, 10):
    import typing as typing_extensions
else:
    import typing_extensions

DESCRIPTOR: google.protobuf.descriptor.FileDescriptor

@typing.final
class WorkflowDeployed(google.protobuf.message.Message):
    """To Studio"""

    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    WORKFLOW_ID_FIELD_NUMBER: builtins.int
    workflow_id: builtins.str
    def __init__(
        self,
        *,
        workflow_id: builtins.str = ...,
    ) -> None: ...
    def ClearField(self, field_name: typing.Literal["workflow_id", b"workflow_id"]) -> None: ...

global___WorkflowDeployed = WorkflowDeployed

@typing.final
class WorkflowUndeployed(google.protobuf.message.Message):
    """To Studio"""

    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    WORKFLOW_ID_FIELD_NUMBER: builtins.int
    ERROR_FIELD_NUMBER: builtins.int
    workflow_id: builtins.str
    error: builtins.str
    def __init__(
        self,
        *,
        workflow_id: builtins.str = ...,
        error: builtins.str = ...,
    ) -> None: ...
    def ClearField(self, field_name: typing.Literal["error", b"error", "workflow_id", b"workflow_id"]) -> None: ...

global___WorkflowUndeployed = WorkflowUndeployed

@typing.final
class Deploy(google.protobuf.message.Message):
    """To workers"""

    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    class _Kind:
        ValueType = typing.NewType("ValueType", builtins.int)
        V: typing_extensions.TypeAlias = ValueType

    class _KindEnumTypeWrapper(google.protobuf.internal.enum_type_wrapper._EnumTypeWrapper[Deploy._Kind.ValueType], builtins.type):
        DESCRIPTOR: google.protobuf.descriptor.EnumDescriptor
        ACTION: Deploy._Kind.ValueType  # 0
        TRIGGER: Deploy._Kind.ValueType  # 1

    class Kind(_Kind, metaclass=_KindEnumTypeWrapper): ...
    ACTION: Deploy.Kind.ValueType  # 0
    TRIGGER: Deploy.Kind.ValueType  # 1

    class _LogLevel:
        ValueType = typing.NewType("ValueType", builtins.int)
        V: typing_extensions.TypeAlias = ValueType

    class _LogLevelEnumTypeWrapper(google.protobuf.internal.enum_type_wrapper._EnumTypeWrapper[Deploy._LogLevel.ValueType], builtins.type):
        DESCRIPTOR: google.protobuf.descriptor.EnumDescriptor
        NONE: Deploy._LogLevel.ValueType  # 0
        DEBUG: Deploy._LogLevel.ValueType  # 10
        INFO: Deploy._LogLevel.ValueType  # 20
        WARNING: Deploy._LogLevel.ValueType  # 30
        ERROR: Deploy._LogLevel.ValueType  # 40
        CRITICAL: Deploy._LogLevel.ValueType  # 50

    class LogLevel(_LogLevel, metaclass=_LogLevelEnumTypeWrapper):
        """Reuse the Python logging values:
        See https://docs.python.org/3.11/library/logging.html#logging-levels
        """

    NONE: Deploy.LogLevel.ValueType  # 0
    DEBUG: Deploy.LogLevel.ValueType  # 10
    INFO: Deploy.LogLevel.ValueType  # 20
    WARNING: Deploy.LogLevel.ValueType  # 30
    ERROR: Deploy.LogLevel.ValueType  # 40
    CRITICAL: Deploy.LogLevel.ValueType  # 50

    @typing.final
    class Resources(google.protobuf.message.Message):
        DESCRIPTOR: google.protobuf.descriptor.Descriptor

        CPU_FIELD_NUMBER: builtins.int
        MEMORY_FIELD_NUMBER: builtins.int
        TIME_FIELD_NUMBER: builtins.int
        GPU_FIELD_NUMBER: builtins.int
        cpu: builtins.float
        memory: builtins.int
        time: builtins.float
        gpu: builtins.int
        def __init__(
            self,
            *,
            cpu: builtins.float | None = ...,
            memory: builtins.int | None = ...,
            time: builtins.float | None = ...,
            gpu: builtins.int | None = ...,
        ) -> None: ...
        def HasField(self, field_name: typing.Literal["_cpu", b"_cpu", "_gpu", b"_gpu", "_memory", b"_memory", "_time", b"_time", "cpu", b"cpu", "gpu", b"gpu", "memory", b"memory", "time", b"time"]) -> builtins.bool: ...
        def ClearField(self, field_name: typing.Literal["_cpu", b"_cpu", "_gpu", b"_gpu", "_memory", b"_memory", "_time", b"_time", "cpu", b"cpu", "gpu", b"gpu", "memory", b"memory", "time", b"time"]) -> None: ...
        @typing.overload
        def WhichOneof(self, oneof_group: typing.Literal["_cpu", b"_cpu"]) -> typing.Literal["cpu"] | None: ...
        @typing.overload
        def WhichOneof(self, oneof_group: typing.Literal["_gpu", b"_gpu"]) -> typing.Literal["gpu"] | None: ...
        @typing.overload
        def WhichOneof(self, oneof_group: typing.Literal["_memory", b"_memory"]) -> typing.Literal["memory"] | None: ...
        @typing.overload
        def WhichOneof(self, oneof_group: typing.Literal["_time", b"_time"]) -> typing.Literal["time"] | None: ...

    ID_FIELD_NUMBER: builtins.int
    NAME_FIELD_NUMBER: builtins.int
    VERSION_FIELD_NUMBER: builtins.int
    CONTAINER_IMAGE_FIELD_NUMBER: builtins.int
    KIND_FIELD_NUMBER: builtins.int
    LOG_LEVEL_FIELD_NUMBER: builtins.int
    RESOURCES_FIELD_NUMBER: builtins.int
    EXECUTION_TYPE_FIELD_NUMBER: builtins.int
    DEPLOYMENT_TYPE_FIELD_NUMBER: builtins.int
    PARAMETERS_FIELD_NUMBER: builtins.int
    NODE_POOL_NAME_FIELD_NUMBER: builtins.int
    id: builtins.str
    name: builtins.str
    version: builtins.str
    container_image: builtins.str
    kind: global___Deploy.Kind.ValueType
    log_level: global___Deploy.LogLevel.ValueType
    execution_type: builtins.str
    deployment_type: builtins.str
    node_pool_name: builtins.str
    @property
    def resources(self) -> global___Deploy.Resources: ...
    @property
    def parameters(self) -> google.protobuf.struct_pb2.Struct: ...
    def __init__(
        self,
        *,
        id: builtins.str = ...,
        name: builtins.str = ...,
        version: builtins.str = ...,
        container_image: builtins.str = ...,
        kind: global___Deploy.Kind.ValueType = ...,
        log_level: global___Deploy.LogLevel.ValueType = ...,
        resources: global___Deploy.Resources | None = ...,
        execution_type: builtins.str = ...,
        deployment_type: builtins.str = ...,
        parameters: google.protobuf.struct_pb2.Struct | None = ...,
        node_pool_name: builtins.str = ...,
    ) -> None: ...
    def HasField(self, field_name: typing.Literal["parameters", b"parameters", "resources", b"resources"]) -> builtins.bool: ...
    def ClearField(self, field_name: typing.Literal["container_image", b"container_image", "deployment_type", b"deployment_type", "execution_type", b"execution_type", "id", b"id", "kind", b"kind", "log_level", b"log_level", "name", b"name", "node_pool_name", b"node_pool_name", "parameters", b"parameters", "resources", b"resources", "version", b"version"]) -> None: ...

global___Deploy = Deploy

@typing.final
class GetDeploymentState(google.protobuf.message.Message):
    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    DEPLOYMENT_ID_FIELD_NUMBER: builtins.int
    deployment_id: builtins.str
    def __init__(
        self,
        *,
        deployment_id: builtins.str = ...,
    ) -> None: ...
    def ClearField(self, field_name: typing.Literal["deployment_id", b"deployment_id"]) -> None: ...

global___GetDeploymentState = GetDeploymentState

@typing.final
class GetExecutionState(google.protobuf.message.Message):
    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    EXECUTION_ID_FIELD_NUMBER: builtins.int
    execution_id: builtins.str
    def __init__(
        self,
        *,
        execution_id: builtins.str = ...,
    ) -> None: ...
    def ClearField(self, field_name: typing.Literal["execution_id", b"execution_id"]) -> None: ...

global___GetExecutionState = GetExecutionState

@typing.final
class StartExecution(google.protobuf.message.Message):
    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    class _IOType:
        ValueType = typing.NewType("ValueType", builtins.int)
        V: typing_extensions.TypeAlias = ValueType

    class _IOTypeEnumTypeWrapper(google.protobuf.internal.enum_type_wrapper._EnumTypeWrapper[StartExecution._IOType.ValueType], builtins.type):
        DESCRIPTOR: google.protobuf.descriptor.EnumDescriptor
        BOOLEAN: StartExecution._IOType.ValueType  # 0
        STRING: StartExecution._IOType.ValueType  # 1
        INTEGER: StartExecution._IOType.ValueType  # 2
        FLOAT: StartExecution._IOType.ValueType  # 3
        FILE: StartExecution._IOType.ValueType  # 6
        DIRECTORY: StartExecution._IOType.ValueType  # 7

    class IOType(_IOType, metaclass=_IOTypeEnumTypeWrapper): ...
    BOOLEAN: StartExecution.IOType.ValueType  # 0
    STRING: StartExecution.IOType.ValueType  # 1
    INTEGER: StartExecution.IOType.ValueType  # 2
    FLOAT: StartExecution.IOType.ValueType  # 3
    FILE: StartExecution.IOType.ValueType  # 6
    DIRECTORY: StartExecution.IOType.ValueType  # 7

    @typing.final
    class IODefinition(google.protobuf.message.Message):
        DESCRIPTOR: google.protobuf.descriptor.Descriptor

        NAME_FIELD_NUMBER: builtins.int
        TYPE_FIELD_NUMBER: builtins.int
        OPTIONAL_FIELD_NUMBER: builtins.int
        name: builtins.str
        type: global___StartExecution.IOType.ValueType
        optional: builtins.bool
        def __init__(
            self,
            *,
            name: builtins.str = ...,
            type: global___StartExecution.IOType.ValueType = ...,
            optional: builtins.bool = ...,
        ) -> None: ...
        def ClearField(self, field_name: typing.Literal["name", b"name", "optional", b"optional", "type", b"type"]) -> None: ...

    EXECUTION_ID_FIELD_NUMBER: builtins.int
    DEPLOYMENT_ID_FIELD_NUMBER: builtins.int
    INPUTS_DEFINITIONS_FIELD_NUMBER: builtins.int
    OUTPUTS_DEFINITIONS_FIELD_NUMBER: builtins.int
    INPUTS_FIELD_NUMBER: builtins.int
    TIME_ALLOTMENT_FIELD_NUMBER: builtins.int
    execution_id: builtins.str
    deployment_id: builtins.str
    time_allotment: builtins.int
    @property
    def inputs_definitions(self) -> google.protobuf.internal.containers.RepeatedCompositeFieldContainer[global___StartExecution.IODefinition]: ...
    @property
    def outputs_definitions(self) -> google.protobuf.internal.containers.RepeatedCompositeFieldContainer[global___StartExecution.IODefinition]: ...
    @property
    def inputs(self) -> google.protobuf.struct_pb2.Struct: ...
    def __init__(
        self,
        *,
        execution_id: builtins.str = ...,
        deployment_id: builtins.str = ...,
        inputs_definitions: collections.abc.Iterable[global___StartExecution.IODefinition] | None = ...,
        outputs_definitions: collections.abc.Iterable[global___StartExecution.IODefinition] | None = ...,
        inputs: google.protobuf.struct_pb2.Struct | None = ...,
        time_allotment: builtins.int = ...,
    ) -> None: ...
    def HasField(self, field_name: typing.Literal["inputs", b"inputs"]) -> builtins.bool: ...
    def ClearField(self, field_name: typing.Literal["deployment_id", b"deployment_id", "execution_id", b"execution_id", "inputs", b"inputs", "inputs_definitions", b"inputs_definitions", "outputs_definitions", b"outputs_definitions", "time_allotment", b"time_allotment"]) -> None: ...

global___StartExecution = StartExecution

@typing.final
class StopExecution(google.protobuf.message.Message):
    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    EXECUTION_ID_FIELD_NUMBER: builtins.int
    execution_id: builtins.str
    def __init__(
        self,
        *,
        execution_id: builtins.str = ...,
    ) -> None: ...
    def ClearField(self, field_name: typing.Literal["execution_id", b"execution_id"]) -> None: ...

global___StopExecution = StopExecution

@typing.final
class Undeploy(google.protobuf.message.Message):
    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    ID_FIELD_NUMBER: builtins.int
    id: builtins.str
    def __init__(
        self,
        *,
        id: builtins.str = ...,
    ) -> None: ...
    def ClearField(self, field_name: typing.Literal["id", b"id"]) -> None: ...

global___Undeploy = Undeploy

@typing.final
class InitTaskReply(google.protobuf.message.Message):
    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    WORKFLOW_RUN_ID_FIELD_NUMBER: builtins.int
    TASK_ID_FIELD_NUMBER: builtins.int
    workflow_run_id: builtins.str
    task_id: builtins.str
    def __init__(
        self,
        *,
        workflow_run_id: builtins.str = ...,
        task_id: builtins.str = ...,
    ) -> None: ...
    def ClearField(self, field_name: typing.Literal["task_id", b"task_id", "workflow_run_id", b"workflow_run_id"]) -> None: ...

global___InitTaskReply = InitTaskReply

@typing.final
class RegisterReply(google.protobuf.message.Message):
    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    SITE_ID_FIELD_NUMBER: builtins.int
    ERROR_MESSAGE_FIELD_NUMBER: builtins.int
    site_id: builtins.str
    error_message: builtins.str
    def __init__(
        self,
        *,
        site_id: builtins.str | None = ...,
        error_message: builtins.str = ...,
    ) -> None: ...
    def HasField(self, field_name: typing.Literal["_site_id", b"_site_id", "site_id", b"site_id"]) -> builtins.bool: ...
    def ClearField(self, field_name: typing.Literal["_site_id", b"_site_id", "error_message", b"error_message", "site_id", b"site_id"]) -> None: ...
    def WhichOneof(self, oneof_group: typing.Literal["_site_id", b"_site_id"]) -> typing.Literal["site_id"] | None: ...

global___RegisterReply = RegisterReply

@typing.final
class RecommendationsVPAReply(google.protobuf.message.Message):
    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    ERROR_MESSAGE_FIELD_NUMBER: builtins.int
    error_message: builtins.str
    def __init__(
        self,
        *,
        error_message: builtins.str | None = ...,
    ) -> None: ...
    def HasField(self, field_name: typing.Literal["_error_message", b"_error_message", "error_message", b"error_message"]) -> builtins.bool: ...
    def ClearField(self, field_name: typing.Literal["_error_message", b"_error_message", "error_message", b"error_message"]) -> None: ...
    def WhichOneof(self, oneof_group: typing.Literal["_error_message", b"_error_message"]) -> typing.Literal["error_message"] | None: ...

global___RecommendationsVPAReply = RecommendationsVPAReply
